reSIDfp::FilterModelConfig8580 Class Reference

`#include <FilterModelConfig8580.h>`

## Public Member Functions

int | getVoiceScaleS11 () const
int | getVoiceDC () const
unsigned short ** | getGainVol ()
unsigned short ** | getGainRes ()
unsigned short ** | getSummer ()
unsigned short ** | getMixer ()
std::unique_ptr< Integrator8580 > | buildIntegrator ()

## Static Public Member Functions

static FilterModelConfig8580 * | getInstance ()

## Friends

class | std::auto_ptr< FilterModelConfig8580 >

## Detailed Description

Calculate parameters for 8580 filter emulation.

## Member Function Documentation

## buildIntegrator()

std::unique_ptr< Integrator8580 > reSIDfp::FilterModelConfig8580::buildIntegrator | ( |  | ) |

Construct an integrator solver.

Returns
  the integrator

## getVoiceDC()

int reSIDfp::FilterModelConfig8580::getVoiceDC | ( |  | ) | const

inline

The "zero" output level of the voices.

## getVoiceScaleS11()

int reSIDfp::FilterModelConfig8580::getVoiceScaleS11 | ( |  | ) | const

inline

The digital range of one voice is 20 bits; create a scaling term for multiplication which fits in 11 bits.

The documentation for this class was generated from the following files:

- FilterModelConfig8580.h
- FilterModelConfig8580.cpp